package Lexer;

public class Symbol {
    
   public final static int
      EOF = 0, 
      IDENT = 1,
      NUMBER =  2,      
      PLUS = 3,         
      MINUS = 4,        
      MULT = 5,         
      DIV = 6,          
      TRUE = 7,         
      FALSE = 8,        
      AND = 9,          
      OR = 10,          
      NOT = 11,         
      NIL = 12,         
      LT = 13,          
      LE = 14,          
      GT = 15,          
      GE = 16,          
      NEQ = 17,         
      EQ = 18,          
      ASSIGN = 19,      
      LEFTPAR = 20,     
      RIGHTPAR = 21,    
      SEMICOLON = 22,   
      COLON = 23,       
      DOT = 24,         
      BEGIN = 25,       
      IF = 26,          
      THEN = 27,        
      ELSE = 28,        
      ENDIF = 29,       
      WHILE = 30,       
      DO = 31,          
      LOOP = 32,        
      READ = 33,        
      WRITE = 34,       
      BREAK = 35,       
      END = 36,         
      VAR = 37,         
      INTEGER = 38,         
      BOOLEAN = 39,         
      PROC = 40,        
      RETURN = 41,      
      CLASS = 42,       
      SUBCLASSOF = 43,  
      SUPER = 44,       
      SELF = 45,        
      NEW = 46,         
      PUBLIC = 47,      
      PRIVATE = 48,     
      COMMA = 49, 		
      LITERALSTRING = 50,
      STRING = 51,
      LastSymbol = 52;     
    
}